Applications - Get Tenant Application Package
List the installable application packages for a tenant.
Get the list of available application packages for a tenant.
GET https://api.powerplatform.com/appmanagement/applicationPackages?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Application |
Application visibility |
|
Catalog |
Catalog visibility for the application |
|
Error |
|
|
Tenant |
|
|
Tenant |
ApplicationVisibility
Application visibility
| Value | Description |
|---|---|
| None | |
| CrmAdminCenter | |
| BapAdminCenter | |
| OneAdminCenter | |
| All |
CatalogVisibility
Catalog visibility for the application
| Value | Description |
|---|---|
| None | |
| AdminCenter | |
| Teams | |
| All |
ErrorDetails
| Name | Type | Description |
|---|---|---|
| errorCode |
integer (int32) |
Error code from Dataverse |
| errorName |
string |
Error name |
| message |
string |
Error message |
| source |
string |
Source of the error |
| statusCode |
integer (int32) |
Status code for error |
| type |
string |
Error type |
TenantApplicationPackage
| Name | Type | Description |
|---|---|---|
| applicationDescription |
string |
Application description |
| applicationId |
string (uuid) |
Application ID |
| applicationName |
string |
Application name |
| applicationVisibility |
Application visibility |
|
| catalogVisibility |
Catalog visibility for the application |
|
| lastError | ||
| learnMoreUrl |
string |
Learn more URL |
| localizedDescription |
string |
Localized description of the tenant application package |
| localizedName |
string |
Localized name |
| publisherId |
string (uuid) |
Publisher ID |
| publisherName |
string |
Publisher name |
| uniqueName |
string |
Unique name of the tenant application package |
TenantApplicationPackageContinuationResponse
| Name | Type | Description |
|---|---|---|
| @odata.nextLink |
string |
|
| value |